---
title: <string>
slug: Web/CSS/string
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;string&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a sequence of characters. Strings are used in numerous CSS properties, such as {{CSSxRef("content")}}, {{CSSxRef("font-family")}}, and {{CSSxRef("quotes")}}.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;string&gt;</code> data type is composed of any number of <a class="external" href="http://en.wikipedia.org/wiki/Unicode">Unicode</a> characters surrounded by either double (<code>"</code>) or single (<code>'</code>) quotes.</p>

<p>Most characters can be represented literally. All characters can also be represented with their respective <a class="external" href="http://en.wikipedia.org/wiki/Unicode#Code_point_planes_and_blocks">Unicode code points</a> in hexadecimal, in which case they are preceded by a backslash (<code>\</code>). For example, <code>\22</code> represents a double quote, <code>\27</code> a single quote (<code>'</code>), and <code>\A9</code> the copyright symbol (<code>©</code>).</p>

<p>Importantly, certain characters which would otherwise be invalid can be escaped with a backslash. These include double quotes when used inside a double-quoted string, single quotes when used inside a single-quoted string, and the backslash itself. For example, <code>\\</code> will create a single backslash.</p>

<p>To output new lines, you must escape them with a line feed character such as <code>\A</code> or <code>\00000A</code>. In your code, however, strings can span multiple lines, in which case each new line must be escaped with a <code>\</code> as the last character of the line.</p>

<p>However, to get new lines, you must also set the {{cssxref("white-space")}} property to appropriate value.</p>

<div class="note">
<p><strong>Note:</strong> <a href="/en-US/docs/Glossary/Entity">HTML entities</a> (such as <code>&amp;nbsp;</code> or <code>&amp;#8212;</code>) cannot be used in a CSS <code>&lt;string&gt;</code>.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="Examples_of_valid_strings">Examples of valid strings</h3>

<pre class="notranslate">/* Simple strings */
"This string is demarcated by double quotes."
'This string is demarcated by single quotes.'

/* Character escaping */
"This is a string with \" an escaped double quote."
"This string also has \22 an escaped double quote."
'This is a string with \' an escaped single quote.'
'This string also has \27 an escaped single quote.'
"This is a string with \\ an escaped backslash."

/* New line in a string */
"This string has a \Aline break in it."

/* String spanning two lines of code (these two strings will have identical output) */
"A really long \
awesome string"
"A really long awesome string"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Values', '#strings', '&lt;string&gt;')}}</td>
			<td>{{Spec2('CSS3 Values')}}</td>
			<td>No significant change from CSS Level 2 (Revision 1).</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS2.1', 'syndata.html#strings', '&lt;string&gt;')}}</td>
			<td>{{Spec2('CSS2.1')}}</td>
			<td>Explicit definition; allows 6-digit Unicode escaped characters.</td>
		</tr>
		<tr>
			<td>{{SpecName('CSS1', '', '&lt;string&gt;')}}</td>
			<td>{{Spec2('CSS1')}}</td>
			<td>Implicit definition; allows 4-digit Unicode escaped characters.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.string")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
	<li><a href="/en-US/docs/Web/CSS/CSS_Values_and_Units">CSS Units and Values</a></li>
	<li><a href="/en-US/docs/Web/CSS/CSS_Types">CSS Basic Data Types</a></li>
	<li><a href="/en-US/docs/Learn/CSS/Introduction_to_CSS/Values_and_units">Introduction to CSS: Values and Units</a></li>
</ul>
